<form [formGroup]="form" (ngSubmit)="onSubmit()">
  <mat-form-field appearance="fill">
    <mat-label>Enter Book Name</mat-label>
    <input matInput type="text" formControlName="name" autocomplete="off"
           required maxlength="15">
    <mat-error></mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" *ngIf="form.get('author')">
    <mat-label>Enter Book Author</mat-label>
    <input matInput type="text" formControlName="author" autocomplete="off"
           required maxlength="30">
    <mat-error></mat-error>
  </mat-form-field>
  <mat-form-field appearance="fill" *ngIf="form.get('email')">
    <mat-label>Enter Email</mat-label>
    <input matInput type="text" formControlName="email" autocomplete="off"
           required maxlength="30">
    <mat-error></mat-error>
  </mat-form-field>
  <div class="form-field">
    <input type="file" id="book-image" class="downloader" (change)="onFileChange($event); formError = false"/>
    <label for="book-image" class="downloader-label" [class.error]="formError">
      <img *ngIf="form.value.image" src="{{ form.value.image }}" alt="{{ form.value.name }}">
      <span class="btn btn-outline-primary">{{ fileName ? fileName : 'Выберите файл' }}</span>
    </label>
  </div>
  <button mat-stroked-button color="accent" class="mb-4">
    <span *ngIf="!editItem">Create</span>
    <span *ngIf="editItem">Edit</span>
  </button>
  <button type="button" class="btn btn-primary" (click)="hs.navToCurrentPage(navigateToList)">Back to books</button>
</form>
